---
updatedAt: 2026-05-15T19:08:46.000Z
agentTools:
  siteIndex: https://developers.pismo.io/llms.txt
  projectIndex: https://developers.pismo.io/pismo-docs/llms.txt
---

# Get funds transfer status

Get funds transfer status

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Instant payments - RuPay on UPI",
    "description": "United Payments Interface (UPI) API integrating providers with the Pismo platform",
    "contact": {
      "name": "Pismo"
    },
    "license": {
      "name": "Apache 2.0"
    },
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox.pismolabs.io/upi-gateway",
      "description": "Sandbox API server for testing"
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "tags": [
    {
      "name": "UPI",
      "description": "Endpoints to manage UPI operations"
    }
  ],
  "components": {
    "parameters": {
      "AccountRefNumberPath": {
        "in": "path",
        "name": "account_reference_number",
        "description": "Account reference number. Pismo creates this automatically when creating a card linked to RuPay on UPI\n\nThis number combines 10 BIN digits and the credit account number. If BIN is 6 digits, the remaining 4 digits  are set to zero (`0`). If BIN is 8 digits, then the remaining 2 digits are set to zero. This is a [NPCI](https://www.npci.org.in/what-we-do/rupay/product-overview) standard. For example, if the account reference number = `1234560000987654321`, the first six digits are the BIN, appended with 4 zeros and then the credit account number (`987654321``).\n\nYou can call [List cards](https://developers.pismo.io/pismo-docs/reference/post-list-cards) to get a card's account reference number.\n",
        "required": true,
        "schema": {
          "type": "string"
        }
      },
      "AuthHeader": {
        "in": "header",
        "name": "Authorization",
        "required": true,
        "description": "Authorization token. Tokens can expire quickly, which can result in a **401 Unauthorized** message.",
        "schema": {
          "type": "string",
          "example": "Bearer eyJhbGci...IUzUx"
        }
      },
      "ExternalTransactionIDpath": {
        "name": "external_transaction_id",
        "in": "path",
        "description": "External transaction ID",
        "required": true,
        "schema": {
          "type": "string"
        }
      },
      "UserAgentHeader": {
        "in": "header",
        "name": "user-agent",
        "required": true,
        "description": "Client consuming API.",
        "schema": {
          "type": "string"
        }
      }
    },
    "schemas": {
      "authorizationDatetime": {
        "type": "string",
        "format": "datetime",
        "description": "When transfer was authorised. RFC 3339 format."
      },
      "authorizationID": {
        "type": "number",
        "description": "Authorization ID",
        "example": 2263052808
      },
      "cards.Error": {
        "type": "object",
        "required": [
          "code",
          "message"
        ],
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code",
            "example": "EUPI0001"
          },
          "message": {
            "type": "string",
            "description": "Error message",
            "example": "An unexpected error happened"
          }
        }
      },
      "cards.InquiryResponse": {
        "type": "object",
        "required": [
          "external_transaction_datetime",
          "external_transaction_id",
          "status",
          "transaction_type",
          "upi_reference_number"
        ],
        "properties": {
          "external_transaction_datetime": {
            "$ref": "#/components/schemas/externalTransactionDatetime"
          },
          "external_transaction_id": {
            "$ref": "#/components/schemas/externalTransactionID"
          },
          "status": {
            "$ref": "#/components/schemas/transactionStatus"
          },
          "transaction_type": {
            "$ref": "#/components/schemas/transactionType"
          },
          "upi_reference_number": {
            "$ref": "#/components/schemas/upiReferenceNumber"
          },
          "reason": {
            "$ref": "#/components/schemas/reason"
          },
          "authorization_id": {
            "$ref": "#/components/schemas/authorizationID"
          },
          "authorization_datetime": {
            "$ref": "#/components/schemas/authorizationDatetime"
          }
        }
      },
      "domain.DetailMessage": {
        "type": "object",
        "properties": {
          "external": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/domain.ExternalMessage"
            }
          },
          "parameters": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/domain.ParameterMessage"
            }
          },
          "payload": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/domain.PayloadMessage"
            }
          }
        }
      },
      "domain.Error": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error type code",
            "example": "EPT0001"
          },
          "details": {
            "type": "object",
            "description": "Detailed error message",
            "allOf": [
              {
                "$ref": "#/components/schemas/domain.DetailMessage"
              }
            ]
          },
          "message": {
            "type": "string",
            "description": "Error message",
            "example": "User not found"
          }
        }
      },
      "domain.ExternalMessage": {
        "type": "object",
        "required": [
          "code",
          "message"
        ],
        "properties": {
          "code": {
            "type": "string",
            "description": "Code",
            "example": "PBE315"
          },
          "message": {
            "type": "string",
            "description": "Message",
            "example": "Generic error"
          }
        }
      },
      "domain.ParameterMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Field",
            "example": "Query parameter"
          },
          "message": {
            "type": "string",
            "description": "Message",
            "example": "Generic error"
          }
        }
      },
      "domain.PayloadMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Field",
            "example": "Entity.field"
          },
          "message": {
            "type": "string",
            "description": "Error message",
            "example": "Generic error"
          }
        }
      },
      "externalTransactionDatetime": {
        "type": "string",
        "description": "Request datetime. ISO 8601 format.",
        "example": "2020-09-15T19:39:54.013Z"
      },
      "externalTransactionID": {
        "type": "string",
        "description": "Request ID code",
        "example": "MGS584A1244F6BC4D50A3FABE6D93DF913C"
      },
      "reason": {
        "type": "object",
        "description": "Reason",
        "allOf": [
          {
            "$ref": "#/components/schemas/cards.Error"
          }
        ]
      },
      "transactionStatus": {
        "type": "string",
        "description": "Transaction status",
        "enum": [
          "PROCESSING",
          "ACCEPTED",
          "ERROR",
          "CANCELLED"
        ],
        "example": "PROCESSING"
      },
      "transactionType": {
        "type": "string",
        "description": "Transaction type:\n * `C` - Credit\n * `D` - Debit\n * `R` - Reversal\n * `E` - Equated monthly installments (EMI)\n * `F` - Foreclose\n",
        "enum": [
          "C",
          "D",
          "R",
          "E",
          "F"
        ],
        "example": "C"
      },
      "upiReferenceNumber": {
        "type": "string",
        "description": "UPI reference number",
        "minLength": 12,
        "maxLength": 12,
        "example": "165238546812"
      }
    },
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Account token - token encoded with a Pismo account ID. Tokens can expire quickly, which can result in a **401 Unauthorized** error.\n",
        "bearerFormat": "JWT"
      }
    },
    "responses": {
      "500InternalServerError": {
        "description": "Internal Server Error",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/domain.Error"
            },
            "example": {
              "code": "EUPI0001",
              "message": "An unexpected error happened"
            }
          }
        }
      }
    }
  },
  "paths": {
    "/v1/transactions/inquiry/account-reference-number/{account_reference_number}/external-transaction-id/{external_transaction_id}": {
      "get": {
        "summary": "Get funds transfer status",
        "description": "Get funds transfer status",
        "operationId": "get-transfer-funds-status",
        "tags": [
          "UPI"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/AccountRefNumberPath"
          },
          {
            "$ref": "#/components/parameters/AuthHeader"
          },
          {
            "$ref": "#/components/parameters/UserAgentHeader"
          },
          {
            "$ref": "#/components/parameters/ExternalTransactionIDpath"
          }
        ],
        "responses": {
          "200": {
            "description": "Response Body",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/cards.InquiryResponse"
                },
                "examples": {
                  "ACCEPTED": {
                    "summary": "Transaction accepted",
                    "value": {
                      "external_transaction_id": "MGS584A1244F6BC4D50A3FABE6D93DF913C",
                      "external_transaction_datetime": "2020-09-15T19:39:54.013Z",
                      "upi_reference_number": "165238546812",
                      "transaction_type": "C",
                      "authorization_id": 2263052808,
                      "authorization_datetime": "2024-09-04T13:22:09.579Z",
                      "status": "ACCEPTED"
                    }
                  },
                  "CANCELLED": {
                    "summary": "Transaction cancelled",
                    "value": {
                      "external_transaction_id": "MGS584A1244F6BC4D50A3FABE6D93DF913C",
                      "external_transaction_datetime": "2020-09-15T19:39:54.013Z",
                      "upi_reference_number": "165238546812",
                      "transaction_type": "C",
                      "authorization_id": 2263052808,
                      "status": "CANCELLED",
                      "reason": {
                        "code": "EUPI0120",
                        "message": "Transfer amount is greater than the account available limits"
                      }
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/domain.Error"
                },
                "examples": {
                  "EUPI0004": {
                    "summary": "Missing required header 'x-tenant'",
                    "value": {
                      "code": "EUPI0004",
                      "message": "Missing required header 'x-tenant'"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/domain.Error"
                },
                "examples": {
                  "EUPI0103": {
                    "summary": "Transaction not found",
                    "value": {
                      "code": "EUPI0103",
                      "message": "Transaction not found"
                    }
                  }
                }
              }
            }
          },
          "408": {
            "description": "Timeout",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/domain.Error"
                },
                "examples": {
                  "EUPI0020": {
                    "summary": "Upi - API returned a timeout error",
                    "value": {
                      "code": "EUPI0020",
                      "message": "Upi - API returned a timeout error"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "$ref": "#/components/responses/500InternalServerError"
          }
        }
      }
    }
  }
}
```